﻿using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Collections.Generic;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Functions;
using System.Text;
using System.Text.RegularExpressions;
using System.Security;
using System.Security.Cryptography;
using System.IO;
using System.IO.Compression;

public partial class special_ProgramTwo_detail : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        int totals = 0;
        int page = 0;
        int id = int.Parse(Request.QueryString["articleid"]);
        try
        {
            page = int.Parse(Request.QueryString["page"]);
        }
        catch { }
        List<Luan.Model.View.V_SpecialArticleList> listArt = new Luan.DAL.View.V_SpecialArticleList().GetPaged("id=" + id, null, 0, 1, out totals);
        if (listArt.Count == 0)
        {
            Response.Redirect("/news/special/index.html");
        }
        Luan.Model.View.V_SpecialArticleList art = listArt[0];
        Luan.Model.t_article art2 = new Luan.DAL.t_article().GetByid(art.ArticleID);
        art2.Clicktimes = art2.Clicktimes + 1;
        new Luan.BLL.t_article().UpdateMinimal(art2);
        art.Clicktimes = art.Clicktimes + 1;
        titleobj.InnerHtml = art.Title;
        dateobj.InnerHtml = art.SourceUpdateDate.ToShortDateString();
        if (art.FromSource.Length == 0) { art.FromSource = "本站原创"; }
        sourceobj.InnerHtml = art.FromSource;
        viewtimes.InnerHtml = art.Clicktimes.ToString();
        art.Comment = art.Comment.Replace("<P><STRONG>这个是文章分页不能改</STRONG></P>", "!!!kkk!!!");
        String[] array = Regex.Split(art.Comment, "!!!kkk!!!");
        if (array.Length <= 1)
        {
            //if (art.Filepath.Length > 0)
            //{
            //    art.Comment = "<p align='center'><img src='" + art.Filepath + "' id='pppp' name='pppp' /></p>" + art.Comment;
            //}
            ContentObject.InnerHtml = art.Comment;
        }
        else
        {
            String stHtml = "";
            if (page - 1 > -1)
            {
                stHtml += "<a href=\"" + id + "_" + Convert.ToString(page - 1) + ".html\">上一页</a>&nbsp;&nbsp;";
            }
            if (page == 0 && art.Filepath.Length > 0)
            {
                //ContentObject.InnerHtml = "<p align='center'><img src='" + art.Filepath + "' id='pppp' name='pppp' /></p>";
                ContentObject.InnerHtml += array[page];
            }
            else
            {
                ContentObject.InnerHtml = array[page];
            }
            stHtml += "第 ";
            for (int i = 0; i < array.Length; i++)
            {
                if (page == i)
                {
                    stHtml += Convert.ToString(i + 1) + " ";
                }
                else
                {
                    stHtml += "[<a href=\"" + id.ToString() + "_" + i + ".html\">" + Convert.ToString(i + 1) + "</a>] ";
                }
            }
            stHtml += "页";
            if (page + 1 < array.Length)
            {
                stHtml += "&nbsp;&nbsp;<a href=\"" + id + "_" + Convert.ToString(page + 1) + ".html\">下一页</a>";
            }
            pager.InnerHtml = stHtml;
        }
    }    
}
