﻿using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Collections.Generic;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Functions;
using System.Text;
using System.Text.RegularExpressions;

public partial class special_p2_detail : SpecialGlobal
{
    protected int iCount = 0;
    protected void Page_Load(object sender, EventArgs e)
    {
        InitParmeaters();
        InitNews();
        InitDetail();
    }
    void InitDetail()
    {
        int id = 0, page = 0;
        try
        {
            id = int.Parse(Request.QueryString["articleID"]);
        }
        catch { }
        try
        {
            page = int.Parse(Request.QueryString["page"]);
        }
        catch { }
        Luan.Model.t_article art = new Luan.DAL.t_article().GetByid(id);
        art.Clicktimes = art.Clicktimes + 1;
        new Luan.BLL.t_article().UpdateMinimal(art);
        SPName.InnerHtml = art.Title;
        art.Comment = art.Comment.Replace("<P><STRONG>这个是文章分页不能改</STRONG></P>", "!!!kkk!!!");
        String[] array = Regex.Split(art.Comment, "!!!kkk!!!");
        if (array.Length <= 1)
        {
            //if (art.Filepath.Length > 0)
            //{
            //    art.Comment = "<p align='center'><img src='" + art.Filepath + "' id='pppp' name='pppp' /></p>" + art.Comment;
            //}
            ContentObject.InnerHtml = art.Comment;
            pager.Visible = false;
        }
        else
        {
            String stHtml = "";
            if (page - 1 > -1)
            {
                stHtml += "<a href=\"" + SpecialObject.ID + "_" + id + "_" + Convert.ToString(page - 1) + ".html\">上一页</a>&nbsp;&nbsp;";
            }
            if (page == 0 && art.Filepath.Length > 0)
            {
                //ContentObject.InnerHtml = "<p align='center'><img src='" + art.Filepath + "' id='pppp' name='pppp' /></p>";
                ContentObject.InnerHtml += array[page];
            }
            else
            {
                ContentObject.InnerHtml = array[page];
            }
            stHtml += "第 ";
            for (int i = 0; i < array.Length; i++)
            {
                if (page == i)
                {
                    stHtml += Convert.ToString(i + 1) + " ";
                }
                else
                {
                    stHtml += "[<a href=\"" + SpecialObject.ID + "_" + id.ToString() + "_" + i + ".html\">" + Convert.ToString(i + 1) + "</a>] ";
                }
            }
            stHtml += "页";
            if (page + 1 < array.Length)
            {
                stHtml += "&nbsp;&nbsp;<a href=\"" + SpecialObject.ID + "_" + id + "_" + Convert.ToString(page + 1) + ".html\">下一页</a>";
            }
            pager.InnerHtml = stHtml;
        }
    }
    void InitParmeaters()
    {
        Page.Title = SpecialObject.Name;
        bodys.Style.Add("background-color", SpecialObject.Color);
        fid.Value = SpecialObject.ID.ToString();
        if (SpecialObject.BannerIsDisplay.Value)
        {
            HeadBanner.InnerHtml = "<img src=\"" + SpecialObject.Banner + "\" alt=\"" + SpecialObject.Name + "\" width=\"960\" title=\"" + SpecialObject.Name + "\" />";
        }
        else
        {
            HeadBanner.Visible = false;
        }
        if (SpecialObject.HeadTextIsDisplay.Value)
        {
            TextObj.InnerHtml = SpecialObject.HeadText;
        }
        else
        {
            TextObj.Visible = false;
        }
    }
    void InitNews()
    {
        if (SpecialObject.Keywords.Length == 0)
        {
            UnNews.Visible = false;
            return;
        }
        String stHtml = "";
        List<Luan.Model.t_article> listArt = new Luan.DAL.t_article().GetPaged(Functions.StringClass.GetArticleQueryCondition(SpecialObject.Keywords), " id desc ", 0, 10, out iCount);
        if (listArt.Count == 0)
        {
            UnNews.Visible = false;
        }
        else
        {
            foreach (Luan.Model.t_article art in listArt)
            {
                stHtml += "<li><span class=\"data\">" + art.UpdateDate.Value + "</span><a href=\"/special/detail2/" + SpecialObject.ID + "_" + art.Id + ".html\" style=\"padding-left:10px\">" + art.Title + "</a></li>";
            }
        }
        UnNewsList.InnerHtml = stHtml;
    }
}
